<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * @version 
 * 
 * @package ext_bibsonomy_csl
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * @author Sebastian Böttger
 */
class Tx_ExtBibsonomyCsl_ViewHelpers_CslGroupingViewHelper 
                    extends Tx_Fluid_Core_ViewHelper_AbstractViewHelper {
    
    protected $oldYear = 0;
    
    /**
     * render
     * 
     * @param string $year
     * @return string 
     */
    public function render($year) {
        
        $ret = '';
        
        if($year != $this->oldYear) {
            $this->oldYear = $year;
			$anchor = Tx_ExtBibsonomyCsl_Helper::replaceSpecialCharacters($year);
			$ret  = '</ul>';
            $ret .= '<p style="font-weight: bold;padding-top:1em;"><a id="jmp_'.$anchor.'"></a>'.$year.'</p>';
			$ret .= '<ul>';
        }
        
        return $ret;            
    }
}

?>
