<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of PublicationRepository
 *
 * @author sebastian
 */
class Tx_ExtBibsonomyCsl_Domain_Repository_PublicationRepositoryTest 
									extends Tx_Extbase_Tests_Unit_BaseTestCase {
	
	/**
	 * @var Tx_ExtBibsonomyCsl_Domain_Repository_PublicationRepository
	 */
	protected $fixture;

	protected $settings;
	
	public function setUp() {
		$this->fixture =& t3lib_div::makeInstance('Tx_ExtBibsonomyCsl_Domain_Repository_PublicationRepository');
		$settings["bib_server"] = "http://www.bibsonomy.org/";
		$settings["bib_login_name"] = "seboettg";
		$settings["bib_api_key"] = "670b100b5e02fc30f0d70521c7a2b2e9";
		$settings["bib_maxcount"] = 5;
		$settings["bib_tags"] = "myown";
		$settings["bib_content_value"] = "dbenz";
		$settings["bib_content_key"] = "user";
		
		$this->settings = $settings;
	}

	public function tearDown() {
		unset($this->fixture);
		unset($this->settings);
	}

	public function testUrl() {
		$url = new Tx_ExtBibsonomyCsl_Url($this->settings);
		$this->assertSame(
				$url->getUrl(), 
				"http://seboettg:670b100b5e02fc30f0d70521c7a2b2e9@www.bibsonomy.org/api/posts?user=dbenz&tags=myown&end=5&format=csl&resourcetype=bibtex");
		unset($url);
	}
	
	/**
	 * @test
	 */
	public function testFetchPublications() {
		
		
		
		$array = $this->fixture->fetchPublications($this->settings);
		
		$this->assertTrue(count($array) == 5);
	}


}

?>
