<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}


Tx_Extbase_Utility_Extension::registerPlugin(
	$_EXTKEY,
	'Publicationlist',
	'Bibsonomy Publication List'
);

Tx_Extbase_Utility_Extension::registerPlugin(
	$_EXTKEY,
	'Tagcloud',
	'Bibsonomy Tag Cloud'
);

t3lib_extMgm::addLLrefForTCAdescr(
	'tt_content.pi_flexform.extbibsonomycsl_publicationlist.list',
	'EXT:ext_bibsonomy_csl/Configuration/FlexForms/locallang_csh_flexform.xml'
);


if ( TYPO3_MODE === 'BE' ) {
    Tx_Extbase_Utility_Extension::registerModule( 
            $_EXTKEY,
            'web',
            'cslstyles',
            '',
            array ( 
                'Backend' => 'list,new,create,import,delete,upload' 
            ),
            array ( 
                'access' => 'user,group',
                'icon'   => 'EXT:ext_bibsonomy_csl/ext_icon.gif',
                'labels' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_mod.xml' 
            ) 

    );
}
/**
Tx_Extbase_Utility_Extension::registerModule(
        $_EXTKEY,
        'web',
        'cslstylesheet',
        '',
        array(
            'CitationStylesheet' => 'list,new,create'
        ),
        array(
            'access'    => 'user,group',
            'icon'      => '',
            'labels'    => 'CSL Stylesheets',
        )
);
*/


t3lib_extMgm::addPlugin(array('LLL:EXT:ext_bibsonomy/locallang_db.xml:tt_content.list_type_pi1', $_EXTKEY.'_pi1'),'list_type');


t3lib_extMgm::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Bibsonomy CSL');

t3lib_extMgm::addLLrefForTCAdescr('tx_extbibsonomycsl_domain_model_publication', 'EXT:ext_bibsonomy_csl/Resources/Private/Language/locallang_csh_tx_extbibsonomycsl_domain_model_publication.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_extbibsonomycsl_domain_model_publication');

$TCA['tx_extbibsonomycsl_domain_model_publication'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:ext_bibsonomy_csl/Resources/Private/Language/locallang_db.xml:tx_extbibsonomycsl_domain_model_publication',
		'label' => 'id',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'sortby' => 'sorting',
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'id,title,year,json_source,',
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Publication.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_extbibsonomycsl_domain_model_publication.gif'
	),
);

t3lib_extMgm::addLLrefForTCAdescr('tx_extbibsonomycsl_domain_model_citationstylesheet', 'EXT:ext_bibsonomy_csl/Resources/Private/Language/locallang_csh_tx_extbibsonomycsl_domain_model_citationstylesheet.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_extbibsonomycsl_domain_model_citationstylesheet');
$TCA['tx_extbibsonomycsl_domain_model_citationstylesheet'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:ext_bibsonomy_csl/Resources/Private/Language/locallang_db.xml:tx_extbibsonomycsl_domain_model_citationstylesheet',
		'label' => 'id',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,

		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'id,title,xml_source,',
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/CitationStylesheet.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_extbibsonomycsl_domain_model_citationstylesheet.gif'
	),
);

t3lib_extMgm::addLLrefForTCAdescr('tx_extbibsonomycsl_domain_model_tag', 'EXT:ext_bibsonomy_csl/Resources/Private/Language/locallang_csh_tx_extbibsonomycsl_domain_model_tag.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_extbibsonomycsl_domain_model_tag');
$TCA['tx_extbibsonomycsl_domain_model_tag'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:ext_bibsonomy_csl/Resources/Private/Language/locallang_db.xml:tx_extbibsonomycsl_domain_model_tag',
		'label' => 'href',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,

		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'href,name,usercount,globalcount,',
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Tag.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_extbibsonomycsl_domain_model_tag.gif'
	),
);

$pluginSignature = str_replace("_", "", $_EXTKEY)."_".publicationlist;

t3lib_div::loadTCA('tt_content');


$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignature]='layout,select_key';
t3lib_extMgm::addPiFlexFormValue(
        $pluginSignature, 
        'FILE:EXT:'.$_EXTKEY.'/Configuration/FlexForms/setup.xml'
);


$pluginSignature = str_replace("_", "", $_EXTKEY)."_".tagcloud;

$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignature]='layout,select_key';
t3lib_extMgm::addPiFlexFormValue(
        $pluginSignature,
        'FILE:EXT:'.$_EXTKEY.'/Configuration/FlexForms/setup_tagcloud.xml'
);


include_once(t3lib_extMgm::extPath($_EXTKEY).'Classes/Lib/Helper.php');

?>